ClawOps Docs
API Reference

자격증명 수정

PUT
/v1/accounts/{accountId}/sip-credentials/{credentialId}

password 가 본문에 포함되면 ha1 자동 재생성. status=disabled 시 enabled=false 동기화 (kamailio 인증 즉시 차단).

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string
credentialId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/accounts/AC1a2b3c4d/sip-credentials/SC1a2b3c4d" \  -H "Content-Type: application/json" \  -d '{    "name": "agent-1-updated",    "status": "active"  }'
{
  "id": "string",
  "accountId": "string",
  "name": "Acme WebRTC 앱",
  "username": "webrtc_acme01",
  "realm": "ac1a2b3c4d.sip.claw-ops.com",
  "enabled": true,
  "status": "active",
  "ipAclId": "string",
  "allowedNumbers": [
    "string"
  ],
  "lastUsedAt": "2019-08-24T14:15:22Z",
  "dateCreated": "2019-08-24T14:15:22Z",
  "dateUpdated": "2019-08-24T14:15:22Z"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}